{smcl}
{* *! version 1.0.0  28jan2020}
{...}{vieweralsosee "[R] help" "help help "}{...}
{viewerjumpto "Syntax" "distord##syntax"}{...}
{viewerjumpto "Description" "distord##description"}{...}
{viewerjumpto "Options" "distord##options"}{...}
{viewerjumpto "Remarks" "distord##remarks"}{...}
{viewerjumpto "Reference" "distord##reference"}{...}
{viewerjumpto "Examples" "distord##examples"}{...}
{viewerjumpto "Stored results" "distord##stored"}{...}
{viewerjumpto "Disclaimer" "distord##Disclaimer"}{...}

{title:Title}{phang}{bf:distord} {hline 2}  Calculates distance between observations based on ordinal data

{marker syntax}{...}
{title:Syntax}{p 8 17 2}
{cmdab:distord} [{varlist}] [{if}] [{cmd:,}{it:options}]

{synoptset 20 tabbed}{...}
{synopthdr}
{synoptline}
{syntab:Main}
{synopt:{opth W:eights(numlist)}} allow weighting different variables.{p_end}
{synopt:{opth Patt:ern(numlist)}} computes distance from each observation to an ideal pattern{p_end}
{synopt:{opt Nop:airwise }} Prevents the estimation of all pairwise comparisons (default) {p_end}
{synopt:{opth ave:rage(newvar)}} Computes average distance to all other observations. Stores the results in {it:newvar}{p_end}
{synoptline}{p2colreset}{...}


{marker description}{...}{title:Description}{pstd}{cmd:distord} calculates Walesiak index measuring the distance between two or more observations based on a list of variables. These variables must be ordinal in nature and must not contain missing values. Results are stored in matrix outputs

{marker options}{...}{title:Options}
{phang}{opt weights} allows providing different weights (importance) to characteristics. One weight per variable should be provided. Weights are scaled to add up to the number of variables. The default weighting scheme is to provide same weight to all characteristics.

{phang}{opt average} computes the distance from each observation to an ideal pattern. The ideal pattern should contain the same number of elements as the variable list. The default option is not to compute these distances. 

{phang}{opt Nopairwise} prevents the estimation of a matrix of distances between all observations. 

{phang}{opt average} computes the average distance from one observation to all the remaining observations in the sample. Results are stored in a new variable called {it: varname}. It can be computed only if the option nopairwise is not activated. 



{marker examples}{...}{title:Examples}
{phang}{cmd:. sysuse auto}{p_end}
{phang}{cmd:. distord rep78, average(mean_dist) if rep78!=. }{p_end}


{phang} Replication of the results from Walesiak (1999) * {p_end}
{phang}{cmd:. use notebook, clear}{p_end}
{phang}{cmd:. distord efficiency equipment quality ergonomics	documentation   , pattern(125 177  7 58 10) nop}{p_end}
{phang}{cmd:. distord efficiency equipment quality ergonomics	documentation   , pattern(125 177  7 58 10) nop weight(1.54 1.15 0.385 1.54 0.385) }{p_end}


{marker stored}{...}{title:Stored results}


{synoptset 15 tabbed}{...}
{p2col 5 15 19 2: Matrices}{p_end}
{synopt:{cmd:r(pairwise)}}decomposition results
    {p_end}
{synopt:{cmd:r(direct)}}variance-covariance matrix of decomposition results
    {p_end}


{marker remarks}{...}{title:Remarks}{pstd} The program uses matrices to compute distances. The maximum matrix size is the upper limit on the number of observations that can be used by {cmd:distord}.

{marker reference}{...}{title:Reference}{pstd} For detailed information on the Walesiak index, see Walesiak, Marek (1999) {it: Distance measure for ordinal data}, Argumenta Oeconomica {bf:2}(8), 167-173.


{marker Disclaimer}{...}{title:Disclaimer}{pstd} 
{phang}The program is distributed {it:as is} with no warranties of any kind. The author is not responsible for any cost derived by the usage of this program.{p_end}